#include <vector>
#include <iostream>
#include <fstream>

#include "labs/trees/trees.hpp"

int main(int argc, const char* argv[]) {

	Node* root = new Node();
	root->value = 5;

	// construct a tree
	add_node(root, 6);
	add_node(root, 3);
	add_node(root, 2);
	add_node(root, 1);
	add_node(root, -50);

	// print out diagram
	std::ofstream diagram;
	diagram.open("tree.dia", std::ios::out);
	print_tree_dia(diagram, root);
	diagram.close();
}
